Page MenuHomePhabricator

Measure % of pageviews coming from users without JS
Closed, ResolvedPublic

Event Timeline

kzimmerman triaged this task as High priority.May 18 2020, 4:10 PM
kzimmerman created this task.
Nirmos added a subscriber: Nirmos.May 19 2020, 4:08 AM

Approach
As described in T234865#5628008, I used the compatibility table to compare pageviews from browsers we actively test and support JS (Grade A Browsers) vs. ones we do not (all below Grade A browsers). Pageview data came from the pageview_hourly table.
Results were split by desktop vs mobile web and views from all spider or automated traffic were removed. For this analysis, I reviewed data from the last week in May.

Result Summary
Based on this approach, here is an estimate of the percent of pageviews from browsers that are JS-supported and tested and browsers without JS support. Further details available in the report and repo.

access_methodcategorypageviewspercent of pageviews
desktopno JS support20495864013.84%
desktopJS-tested and supported127550021886.16%
mobile webno JS support87273439736.48%
mobile webJS-tested and supported151942679363.52%

Caveats

  • This does not include information for modern (grade A) browsers where users have turned off JS.
  • Pageviews and pageview percentages are different from devices, which is the most similar measure we have to users.
  • Data reflects traffic from browsers where we actively test and surface JS features. Based on the information described on the Compatability page, some below Grade A browsers may have JS functionality but we do not actively test and support these.
  • Data assumes that the information in the Compatability Table is currently up to date.

These percentages are higher than anticipated and may not reflect the actual percentage of pageviews from users without JS support due to the caveats listed above. Similar to the recommendation proposed in the non-js edit analysis done in T240697, we may want to look at adding instrumentation or using a different approach if a more accurate estimate of the % pageviews coming from users without JS is needed.

awight awarded a token.Jul 7 2020, 8:01 AM
kzimmerman closed this task as Resolved.Aug 11 2020, 5:04 PM